Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.io
Class EmptyInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.http.impl.io.EmptyInputStream

All Implemented Interfaces:
  Closeable

    public final class EmptyInputStream

extends InputStream

Since:
  4.4

Field Summary
`static EmptyInputStream` | `INSTANCE`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int readLimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] buf)`
`int` | `read(byte[] buf, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EmptyInputStream INSTANCE

Method Detail

### available

    public int available()

  Overrides:
    `available` in class `InputStream`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`

### mark

    public void mark(int readLimit)

  Overrides:
    `mark` in class `InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `InputStream`

### read

    public int read()

  Specified by:
    `read` in class `InputStream`

### read

    public int read(byte[] buf)

  Overrides:
    `read` in class `InputStream`

### read

    public int read(byte[] buf,
                    int off,
                    int len)

  Overrides:
    `read` in class `InputStream`

### reset

    public void reset()

  Overrides:
    `reset` in class `InputStream`

### skip

    public long skip(long n)

  Overrides:
    `skip` in class `InputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.